# Generated by go2rpm {{ generator_version }}
%bcond_without check

# {{ forge }}
%global goipath         {{ goipath }}
{% if not 'github.com' in goipath %}
%global forgeurl        {{ forge }}
{% endif %}
{% if version is not none %}
Version:                {{ version }}
{% endif %}
{% if tag is not none %}
Version:                {{ tag }}
%global tag             {{ tag }}
{% endif %}
{% if commit is not none %}
%global commit          {{ commit }}
{% endif %}

{% if use_new_versioning %}
%gometa -L -f
{% else %}
%gometa -f
{% endif %}

{% if altipaths is not none %}
%global goaltipaths     {{ altipaths|join(' ') }}

{% endif %}
%global common_description %{expand:
{{ description|default("# FIXME", true)|wordwrap(wrapstring="\n")|trim }}}

Name:           {{ name }}
{% if version is none and tag is none %}
Version:        0
{% endif %}
{% if rpmautospec %}
Release:        {{ pkg_autorelease }}
{% else %}
Release:        {{ pkg_release }}%{?dist}
{% endif %}
Summary:        {{ summary|default("# FIXME") }}

# Generated by go-vendor-tools
License:        TODO: %{warn:Please fill in the License tag!}
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        {{ vendor_archive_name }}
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%build
{% if has_cmd %}
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
{% if main_cmd is not none %}
%gobuild -o %{gobuilddir}/bin/{{ main_cmd }} %{goipath}
{% endif %}
{% if other_cmd|length > 0 %}
for cmd in {{ other_cmd|sort|join(' ') }}; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}

{% endif %}
%install
%go_vendor_license_install -c %{S:2}
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
{% endif %}

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gocheck
%endif

{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
{% if doc_files|length > 0 %}
%doc {{ doc_files|join(' ')|customwordwrap(width=75, wrapstring="\n%doc ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
{% if spec_warnings %}
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# Replace the glob below with an explicit path
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
{% endif %}
%{_bindir}/*

{% endif %}

%changelog
{% if rpmautospec %}
%autochangelog
{% else %}
{% if auto_changelog_entry %}
{% if version is none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - 0-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is none and tag is not none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}
{% elif version is none and tag is not none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is not none and tag is none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}
{% elif version is not none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% endif %}
- Initial package
{% endif %}
{% endif %}
